#
#@if(0)
#
# $Id: Makefile.pp,v 1.4 2000/01/26 15:15:52 perre Exp $
#
#
# This is a sample Makefile.pp to build an agent.  It should
# be processed with the "ppmk" tool, to generate a Makefile
# which then can be used by "make" (or "nmake")
#
# The pop3 example Makefile.pp contains more information.
#
# If this directory already contains a Makefile, it can be
# updated by running "make Makefile"
#@endif

@# Include the version definition file "ftp.pp".
@#
@include(ftp.pp)

@# The program name should almost certainly be composed of the service
@# name and the version number.  Remember that several versions may have
@# to co-exist.
@#
@define(PROG, @SERVICE-@VERSION)

@# TARGETS should always be the first "ppmk" function called.
@# It defines the default targets that should be built.
@#
@define(TODO, @PROG gap.tmp properties.tmp cfg.tmp)
@TARGETS(@TODO)

@# Produce a header file from the version information file.
@#
@VERSIONFILE(ftp.pp, version.h)

@# Generate targets to process the distribution files, using
@# definitions from the version information file, "ftp.pp".
@#
@PPFILE(gap.tmp, @SERVICE.gap, -iftp.pp)
@PPFILE(properties.tmp, @SERVICE.properties, -iftp.pp)
@PPFILE(description, dist.pp, -iftp.pp)
@PPFILE(cfg.tmp, @SERVICE.cfg, -iftp.pp)

@# This builds the agent program, using catgen and cat libraries,
@# and including any networking and threading libraries needed
@# by the toolkit.
@#
@# A non-threaded version can, on some platforms, be built by
@# replacing @LIB_THREAD with @LIB_NOTHREAD.
@#
@PROGRAM(@PROG, ftp.c line.c,
		@LIB_CATGEN @LIB_CAT @LIB_NET @LIB_THREAD)
