#
#@if(0)
#
# $Id: Makefile.pp,v 1.4 2000/02/07 15:27:19 perre Exp $
#
#
# This is a sample Makefile.pp to build an agent.  It should
# be processed with the "ppmk" tool, to generate a Makefile
# which then can be used by "make" (or "nmake")
#
# The pop3 example Makefile.pp contains more information.
#
# If this directory already contains a Makefile, it can be
# updated by running "make Makefile"
#@endif

@# Include the version definition file "tunnel.pp".
@#
@include(tunnel.pp)

@# The program name should almost certainly be composed of the service
@# name and the version number.  Remmeber that several versions may have
@# to co-exist.
@#
@define(PROG, @SERVICE-@VERSION)

@# TARGETS should always be the first "ppmk" function called.
@# It defines the default targets that should be built.
@#
@TARGETS(@PROG cfg.tmp)

@# Produce a header file from the version information file.
@#
@VERSIONFILE(tunnel.pp, version.h)

@# Generate targets to process the distribution files, using
@# definitions from the version information file, "tunnel.pp".
@#
@PPFILE(cfg.tmp, @SERVICE.cfg, -itunnel.pp)
@PPFILE(description, dist.pp, -itunnel.pp)

@# This builds the agent program, using catgen and cat libraries,
@# and including any networking and threading libraries needed
@# by the toolkit.
@#
@# A non-threaded version can, on some platforms, be built by
@# replacing @LIB_THREAD with @LIB_NOTHREAD.
@#
@PROGRAM(@PROG, tunnel.c , @LIB_CATGEN @LIB_CAT @LIB_NET @LIB_THREAD)
