#
# $Id: custom.tcl,v 1.1 2000/01/07 11:59:42 perre Exp $
#
# This file demonstrates a simple interface to add agent specific
# parameters to the info tree. This script will be sourced by the
# installation framework. Basically there are two functions one can
# call.
#
# help tag help_message 
#
# parameter tag type info_path prompt_string
#
# The 'parameter' function will create 'info_path' with a value specified
# at the prompt.
# 
# The 'help' function will associate the help message with 'tag' and will
# be displayed if one press '?' on the prompt for that tag.
#

help do_server {
 The crypto tunnel can do either the client SSL negotiation or
 it can do the SSL server negotiation. If the agent should
 do the SSL server negotiation the answer is yes otherwise no
 and the agent will perform the client negotiation. 
}

set do_server_prompt "Should the agent do SSL server (y/n/?): "

parameter do_server y tunnel.do_server $do_server_prompt




